%define name  perl-Mysql
%define real_name Msql-Mysql-modules
%define version 1.22_19
%define real_version 1.2219
%define release 9mdk

Summary:	DBD Mysql perl Emulation Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Databases
Distribution:	Mandrake Linux
Source:		ftp://ftp.perl.com/CPAN/modules/by-module/DBD/%{real_name}-%{real_version}.tar.bz2
Patch:		%{real_name}-libpthread.patch.bz2
URL:		http://www.tcx.se/
Icon:		mysql.gif
Buildroot:	%{_tmppath}/%{name}-root
Requires:	perl, MySQL-shared >= 4.0, perl-DBI
BuildRequires:	MySQL-devel >= 4.0, perl-Data-ShowTable perl-DBI
BuildRequires:  perl-devel zlib-devel

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -q -n %{real_name}-%{real_version}
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --noprompt --mysql-incdir=%{_includedir}/mysql --mysql-libdir=%{_libdir}/mysql --mysql-install --nomsql-install --nomsql1-install -mysql-install-nodbd
make OPTIMIZE="$RPM_OPT_FLAGS"

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/Mysql
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.22_19-9mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22_19-8mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.22_19-7mdk
- rebuild for new auto{prov,req}

* Thu Feb  6 2003 Warly <warly@mandrakesoft.com> 1.22_19-6mdk
- do not compile in static anymore

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.22_19-5mdk
- rebuild for perl thread-multi

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.22_19-4mdk
- rpmlint fixes: hardcoded-library-path

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.22_29-3mdk
- fix Requires.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.22_19-2mdk
- rebuild for new perl 5.8.0

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 1.22_19-1mdk
- 1.2219.

* Wed Oct 24 2001 Franois Pons <fpons@mandrakesoft.com> 1.22_16-3mdk
- changed requires on MySQL to MySQL-shared.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.22_16-2mdk
- BuildRequires: perl-devel zlib-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.22_16-1mdk
- Clean spec
- 1.22_16
- Fixed distribution tag.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.22_15-6mdk
- Rebuild for the latest perl.
- Remove hardcoded Vendor and Distribution tags.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 1.22_15-5mdk
- BuildRequires: perl-DBI

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-4mdk
- added documentation.
- removed filelist.

* Fri Sep  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.22_15-3mdk
- rebuilt with lmysqlclient_r (new implementation in MySQL)
- now requires ExtUtils-PerlPP
- took my template spec to be sure we include all files, including 
  /usr/bin/pmysql and Mysql::Statement

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-2mdk
- created patch to add missing libpthread reference.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_15-1mdk
- 1.22_15.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_14-2mdk
- macroszifications
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_14-1mdk
- 1.22_14.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.22_11-2mdk
- Fix build for i486

* Tue Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_11-1mdk
- updated to 1.22.11.
- spec file clean.
- use of perl 5.6.0.

* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- finish tidying files so it builds

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- backdown to 1.19_14 to match MySQL_GPL
- replace i386-linux w/ %%{_arch}

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt specfile for Linux-Mandrake

